<?php

namespace App\Livewire\Admin;

use LivewireUI\Modal\ModalComponent;
use App\Models\User;

class EditUserModal extends ModalComponent
{
    public $userId;
    public $name;
    public $email;

    public function mount($userId)
    {
        $user = User::findOrFail($userId);
        $this->userId = $user->id;
        $this->name = $user->name;
        $this->email = $user->email;
    }

    public function save()
    {
        $this->validate([
            'name' => 'required',
            'email' => 'required|email',
        ]);

        User::find($this->userId)->update([
            'name' => $this->name,
            'email' => $this->email,
        ]);

        $this->closeModal(); 
        $this->dispatch('notify', '使用者更新成功');
    }
    
    public function render()
    {
        return view('livewire.admin.edit-user-modal');
    }
}
